import { OpenApi } from '@bpinternal/opapi'
import { state as runtimeState } from './gen/runtime/state'
import { state as adminState } from './gen/admin/state'
import { state as filesState } from './gen/files/state'
import { state as tablesState } from './gen/tables/state'
import { state as publicState } from './gen/state'

export * from './gen/state'
export const api = OpenApi.fromState(publicState)

export * as runtime from './gen/runtime/state'
export const runtimeApi = OpenApi.fromState(runtimeState)

export * as admin from './gen/admin/state'
export const adminApi = OpenApi.fromState(adminState)

export * as files from './gen/files/state'
export const filesApi = OpenApi.fromState(filesState)

export * as tables from './gen/tables/state'
export const tablesApi = OpenApi.fromState(tablesState)
